# class PsiProcess

A class, describing a Process on the Psion. More...

Definition | `#include <psiprocess.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PsiProcess ()
- PsiProcess (const PsiProcess &p)
- PsiProcess (const int, const char * const, const char * const, bool)
- ~PsiProcess ()
- int getPID ()
- const char * getName ()
- const char * getArgs ()
- const char * getProcId ()
- PsiProcess & operator= (const PsiProcess &p)
- friend std::ostream & operator<< (std::ostream &o, const PsiProcess &p)

## Detailed Description

A class, describing a Process on the Psion. Objects of this type are used by rpcs::queryPrograms for returning the currently running processes.

PsiProcess ()

### PsiProcess

Default constructor

PsiProcess (const PsiProcess &p)

### PsiProcess

A copy constructor. Mainly used by STL container classes.

Parameters:

d | The object to be used as initializer.

PsiProcess (const int, const char * const, const char * const, bool)

### PsiProcess

Initializing Constructor

~PsiProcess ()

### ~PsiProcess

Default destructor.

int getPID ()

### getPID

Retrieves the PID of a process.

Returns: The PID of this instance.

const char * getName ()

### getName

Retrieve the file name of a process.

Returns: The name of this instance.

const char * getArgs ()

### getArgs

Retrieve the file name of a process.

Returns: The arguments of this instance.

const char * getProcId ()

### getProcId

Retrieve the file name and PID of a process.

Returns: The name and PID this instance in the format name.$pid .

PsiProcess & operator= (const PsiProcess &p)

### operator=

Assignment operator Mainly used by STL container classes.

Parameters:

e | The new value to assign.

Returns: The modified object.

friend std::ostream & operator<< (std::ostream &o, const PsiProcess &p)

### operator<<

Prints the object contents. The output is in human readable similar to the output of a "ls" command.

- Author: Fritz Elfert <felfert@to.com>
- Generated: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.